<!--
 - Created by damian.brzezinski_en on 14.08.2023.
 -->

<!-- Ls Product Filters -->
<template>
    <template if:true={isLoading}>
        <lightning-spinner alternative-text='Loading'></lightning-spinner>
    </template>
    <template if:false={isLoading}>
        <div class='slds-grid slds-m-around_small'>
            <div class='slds-col slds-m-around_small'>
                <lightning-combobox label={label.CATEGORY} options={categoryValues} value={actualCategoryValue} onchange={handleChangeCategory}></lightning-combobox>
            </div>
            <div class='slds-col slds-m-around_small'>
                <lightning-slider min={minPrice} max={selectedMaxPrice} value={selectedMinPrice} label={label.MIN_PRICE} onchange={handleMinPriceChange}></lightning-slider>
            </div>
            <div class='slds-col slds-m-around_small'>
                <lightning-slider min={selectedMinPrice} max={maxPrice} value={selectedMaxPrice} label={label.MAX_PRICE} onchange={handleMaxPriceChange}></lightning-slider>
            </div>
        </div>
        <div class='slds-grid slds-grid_align-end'>
            <div class='slds-col slds-m-around_small'>
                <lightning-button label={label.APPLY_FILTERS} onclick={applyFilters}></lightning-button>
            </div>
            <div class='slds-col slds-m-around_small'>
                <lightning-button label={label.RESET_FILTERS} onclick={resetFilters}></lightning-button>
            </div>
        </div>
    </template>
</template>